import ProductCard from "@/components/common/cards/ProductCard";
import { getAllCertificateProduct } from "@/services/apis/products";
import SectionWrapper from "./components/SectionWrapper";

const CertificateActiveProduct = async ({ content }) => {
  const activeProducts = await getAllCertificateProduct(
    content.certificateSlug
  );

  if (!activeProducts || !content) return null;

  return (
  
      <SectionWrapper content={content}>
        <div className="w-full grid grid-cols-1 md:grid-cols-2 lg:grid-cols-4 gap-6 md:gap-8 lg:gap-4 ">
          {activeProducts.map((item, index) => (
            <ProductCard key={index} item={item} />
          ))}
        </div>
      </SectionWrapper>
  );
};

export default CertificateActiveProduct;
